./wip/qt5, meta-package for version 5 of the QT GUI C++ toolkit

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 5.9.1, Package name: qt5-5.9.1, Maintainer: ryoon

Qt(TM) is a GUI software toolkit. Qt simplifies the task of writing and
maintaining GUI (graphical user interface) applications.

This package does not contain anything by itself -- it is a
"meta-package" that depends on other QT packages. Its sole purpose is
to require dependencies so users can install this package only and
have all the QT stuff pulled in by the port/package dependency
mechanism.

This package tracks Qt5 branch.


Required to run:
[wip/qt5-qtwebchannel] [wip/qt5-qtwebsockets] [wip/qt5-qtdeclarative] [wip/qt5-qtxmlpatterns] [wip/qt5-qtsvg] [wip/qt5-qtbase] [wip/qt5-qtgraphicaleffects] [wip/qt5-qtmultimedia] [wip/qt5-qtsensors] [wip/qt5-qtserialport] [wip/qt5-qttools] [wip/qt5-qtx11extras] [wip/qt5-sqlite3] [wip/qt5-qttranslations] [wip/qt5-qtscript] [wip/qt5-qtlocation] [wip/qt5-qtquick1] [wip/qt5-qtdoc] [wip/qt5-qtimageformats] [wip/qt5-qtwebkit] [wip/qt5-qtquickcontrols]

Required to build:
[pkgtools/cwrappers]

Master sites:


Version history: (Expand)


CVS history: (Expand)


   2014-09-10 23:48:59 by Thomas Klausner | Files touched by this commit (7) | Package removed
Log message:
Remove qt5, pkgsrc version is newer.

   2014-05-31 17:57:19 by Thomas Klausner | Files touched by this commit (18)
Log message:
Stop using mk/giflib, use giflib/bl3.mk directly.
   2013-05-12 15:18:11 by othyro | Files touched by this commit (3)
Log message:
Finished adding PKG_OPTIONS. Build fails here:

ld:/usr/pkgsrc/dev/wip/qt5/work/qt-everywhere-opensource-src-5.0.2/qtbase/src/corelib/QtCore.dynlist: \ 
file format not recognized; treating as linker script
ld:/usr/pkgsrc/dev/wip/qt5/work/qt-everywhere-opensource-src-5.0.2/qtbase/src/corelib/QtCore.dynlist:1: \ 
syntax error
   2013-05-10 14:30:24 by othyro | Files touched by this commit (3)
Log message:
Round 1 of adding PKG_OPTIONS. Needs more testing.
   2013-05-09 19:36:32 by othyro | Files touched by this commit (2)
Log message:
Makes it through configure. Adding PKG_OPTIONS is next.
   2013-05-09 14:13:27 by othyro | Files touched by this commit (1)
Log message:
Set CONFIG_SHELL to PERL5. Next step is skipping license acceptance
(pkgsrc does this for the user, obviously).
   2013-05-07 12:31:04 by othyro | Files touched by this commit (2) | Package updated
Log message:
Updated to latest revision. Still doesn't make it past configure.
   2013-03-29 12:25:11 by othyro | Files touched by this commit (7)
Log message:
Import qt-5.0.1 as wip/qt5.

Qt C++ UI framework and the foundation for a new way of developing applications,
where Qt Quick is in the center of Qt. Qt 5 continues to offer all of the power
of native Qt C++ enabling highly sophisticated user experiences, offering
applications the full capabilities of OpenGL/OpenGL ES graphics acceleration.